package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/operate/apis"
	"go-admin/common/middleware"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerOrgClubTeamRouter)
}

// registerOrgClubTeamRouter
func registerOrgClubTeamRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.OrgClubTeam{}
	r := v1.Group("/org-club-team").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", api.GetPage)
		r.GET("/get-match", api.GetPageMatch)
		r.GET("/get", api.Get)
		r.GET("/info", api.GetInfo)
	}
}
